Package ghidra.app.util.bin.format.pe.debug

# Class OMFSrcModuleFile

java.lang.Object
ghidra.app.util.bin.format.pe.debug.OMFSrcModuleFile

public class OMFSrcModuleFile extends Object
A class to represent the Object Module Format (OMF) Source Module File data structure.
This class describes the code segments that receive code from a source file.
short cSeg - Number of segments that receive code from the source file.
short pad - pad field to maintain alignment
int [] baseSrcLn - array of offsets for the line or address mapping for each segment that receives code from the source file.
int [] starts - starting addresses within the segment of the first byte of code from the module.
int [] ends - ending addresses of the code from the module.
byte cbName - count or number of bytes in source file name.
String name - name of source file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getBaseSrcLn()`
  Returns an array of offsets for the line or address mapping for each segment that receives code from the source file.
  `int[]`
  `getEnds()`
  Returns the ending addresses of the code from the module.
  `String`
  `getName()`
  Returns the name of source file.
  `OMFSrcModuleLine[]`
  `getOMFSrcModuleLines()`
  Returns an array of the source module lines.
  `short`
  `getPad()`
  Returns the pad field to maintain alignment.
  `short`
  `getSegmentCount()`
  Returns the number of segments that receive code from the source file.
  `int[]`
  `getStarts()`
  Returns the starting addresses within the segment of the first byte of code from the module.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getOMFSrcModuleLines

    public OMFSrcModuleLine[] getOMFSrcModuleLines()
    Returns an array of the source module lines.
    Returns:
      an array of the source module lines

  - ### getBaseSrcLn

    public int[] getBaseSrcLn()
    Returns an array of offsets for the line or address mapping for each segment that receives code from the source file.
    Returns:
      an array of offsets for the line or address mapping for each segment

  - ### getSegmentCount

    public short getSegmentCount()
    Returns the number of segments that receive code from the source file.
    Returns:
      the number of segments that receive code from the source file

  - ### getEnds

    public int[] getEnds()
    Returns the ending addresses of the code from the module.
    Returns:
      the ending addresses of the code from the module

  - ### getName

    public String getName()
    Returns the name of source file.
    Returns:
      the name of source file

  - ### getPad

    public short getPad()
    Returns the pad field to maintain alignment.
    Returns:
      the pad field to maintain alignment

  - ### getStarts

    public int[] getStarts()
    Returns the starting addresses within the segment of the first byte of code from the module.
    Returns:
      the starting addresses within the segment of the first byte of code from the module